# pamtouil

Updated: 05 May 2002
Table Of Contents

## NAME

pamtouil - convert a PNM or PNM/alpha image into a Motif UIL icon file

## SYNOPSIS

pamtouil [-name=uilname] [pamfile]

You may abbreviate any option to its shortest unique prefix. You may use two hyphens instead of one to delimit an option. You may separate an option from its value with whitespace instead of =.

## DESCRIPTION

This program is part of Netpbm.

pamtouil reads a PNM or PAM image as input and produces a Motif UIL icon file as output. If the input is PAM, it may be either a regular grayscale or color image or grayscale+alpha or color+alpha. Where the alpha channel is present, pamtouil renders pixels that are more than half transparent as transparent in the output.

In the UIL's colormap, pamtouil uses the color names from the RGB database -- the same one ppmmake uses. Where a color in the input does not exactly match one of the colors named in the RGB database, pamtouil uses the closest color named in the RGB database.

## OPTIONS

-name
  Allows you to specify the prefix string which is printed in the resulting UIL output. If not specified, will default to the filename (without extension) of the ppmfile argument. If -name is not specified and no ppmfile is specified (i.e. piped input), the prefix string will default to the string "noname".

## SEE ALSO

pam pam ppm

## HISTORY

Before May 2002, pamtouil was called ppmtouil and had no way to specify transparency.

## AUTHOR

Converted by Bryan Henderson from ppmtouil.c, which was converted by Jef Poskanzer from ppmtoxpm.c, which is Copyright (C) 1990 by Mark W. Snitily

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR